# Uses of Interface
javax.validation.metadata.ConstructorDescriptor

Packages that use ConstructorDescriptor
Package
Description
javax.validation.metadata

## Uses of ConstructorDescriptor in javax.validation.metadata

Methods in javax.validation.metadata that return ConstructorDescriptor
Modifier and Type
Method
Description
`ConstructorDescriptor`
BeanDescriptor.`getConstraintsForConstructor(Class<?>... parameterTypes)`
Methods in javax.validation.metadata that return types with arguments of type ConstructorDescriptor
Modifier and Type
Method
Description
`Set<ConstructorDescriptor>`
BeanDescriptor.`getConstrainedConstructors()`